# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-compat
Version:        24.10.1.dev8
Release:        1.20241206085007105024.pr428.8.g1469fd2%{?dist}
Summary:        Ansible-compat library

License:        GPL-3.0-or-later
URL:            https://github.com/ansible/ansible-compat
Source0:        ansible_compat-24.10.1.dev8.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-compat.

%prep
%autosetup -n ansible_compat-24.10.1.dev8


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansible_compat


%check
%pyproject_check_import
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
  test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc docs/ README.md

%changelog
* Fri Dec 06 2024 Packit <hello@packit.dev> - 24.10.1.dev8-1.20241206085007105024.pr428.8.g1469fd2
- Update prettier (#429) (Ajinkya Udgirkar)
- chore: auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- fix prettier issue (Ajinkya Udgirkar)
- chore: auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Exclude pip check command for docs in tox.ini file (abhikdps)
- Bump the dependencies group in /.config with 5 updates (#426) (dependabot[bot])
- Bump the dependencies group across 1 directory with 3 updates (#425) (dependabot[bot])

* Fri Dec 06 2024 Ajinkya Udgirkar ajinkyaudgirkar@gmail.com 
- Merge branch 'main' of github.com:ansible/ansible-compat into chore/docs

* Fri Dec 06 2024 Ajinkya Udgirkar ajinkyaudgirkar@gmail.com 
- Update prettier (#429)

* Fri Dec 06 2024 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: auto fixes from pre-commit.com hooks

* Fri Dec 06 2024 Ajinkya Udgirkar ajinkyaudgirkar@gmail.com 
- fix prettier issue

* Fri Dec 06 2024 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: auto fixes from pre-commit.com hooks

* Fri Dec 06 2024 abhikdps abanand@redhat.com 
- Exclude pip check command for docs in tox.ini file

* Sun Dec 01 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#426)

* Sun Nov 24 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group across 1 directory with 3 updates (#425)

* Sun Nov 10 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#421)

* Tue Nov 05 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Add support for py313 (#416)

* Tue Nov 05 2024 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#415)

* Tue Nov 05 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Replace pip-compile with uv pip compile (#419)

* Tue Nov 05 2024 Kate Case kcase@redhat.com 
- Fix tests (#420)

* Tue Nov 05 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Tune dependabot config (#417)

* Thu Oct 17 2024 irozet12 119814380+irozet12@users.noreply.github.com 
- Re-init plugin loader after collections installation (#411) (#412)

* Mon Oct 14 2024 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump coactions/dynamic-matrix from 3 to 4 (#414)

* Mon Oct 07 2024 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#413)

* Wed Sep 18 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Add template for bug reports (#410)

* Wed Sep 18 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Avoid running prepare ansible paths twice (#409)

* Wed Sep 18 2024 Sorin Sbarnea ssbarnea@redhat.com 
- Avoid duplicate paths when path injection (#407)

